package com.icomsys.main_vm.db.jpa.repo.scenario.dsl;

import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationApiNodeEditReq;
import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationApiNodeInfoReq;
import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationApiNodeInfoRes;
import com.querydsl.core.QueryResults;

import java.util.HashMap;
import java.util.List;

public interface TbApiNodeRepoDsl {
    QueryResults<ConversationApiNodeInfoRes> searchApiNodeList(ConversationApiNodeInfoReq dto);
    void updateApiNode(ConversationApiNodeEditReq dto);

    List<ConversationApiNodeInfoRes> selectApiNode(Long seq);

    void deleteApiNode(Long seq);
}
